Attribute VB_Name = "R6450"
Type R6450FUNC
  FCODE As String
  FMSG As String
  RINDEX As Integer
End Type
Type R6450RANGE
  RCODE(10) As String
  RMSG(10) As String
End Type
Type R6450
  FUNC As Integer
  RANGE As Integer
  FLIST(11) As R6450FUNC
  RLIST(10) As R6450RANGE
End Type

Public R6450 As R6450

Function DMM_GET_PARAM()
  FN% = R6450.FUNC
  RN% = R6450.RANGE
  RI% = R6450.FLIST(FN).RINDEX
  TD$ = R6450.FLIST(FN).FCODE
  TD$ = TD$ + "," + (R6450.RLIST(RI).RCODE(RN))
  DMM_GET_PARAM = TD$
End Function

Function DMM_RANGE_CHANGE(RN%)
  R6450.RANGE = RN
End Function

Function DMM_RANGELIST(FN%, RLIST() As String, rcur%, rmax%)
  R6450.FUNC = FN
  n% = R6450.FUNC   'Vt@NVԍ
  RI% = R6450.FLIST(n).RINDEX
  For n = 0 To 10
    If R6450.RLIST(RI).RMSG(n) = "" Then Exit For
    RLIST(n) = R6450.RLIST(RI).RMSG(n)
  Next
  rmax = n 'W̐iށj
  'ftHg߂
  R6450.RANGE = 0
  rcur = 0
End Function

Function DMM_FUNCLIST(FLIST() As String, fcur%, fmax%)
  R6450.FLIST(0).FCODE = "F1"
  R6450.FLIST(1).FCODE = "F2"
  R6450.FLIST(2).FCODE = "F3"
  R6450.FLIST(3).FCODE = "F4"
  R6450.FLIST(4).FCODE = "F5"
  R6450.FLIST(5).FCODE = "F6"
  R6450.FLIST(6).FCODE = "F8"
  R6450.FLIST(7).FCODE = "F9"
  
  R6450.FLIST(0).FMSG = "d(VDC)"
  R6450.FLIST(1).FMSG = "𗬓d(VAC)"
  R6450.FLIST(2).FMSG = "R(OHM)"
  R6450.FLIST(3).FMSG = "dR(L.P.OHM)"
  R6450.FLIST(4).FMSG = "d(ADC)"
  R6450.FLIST(5).FMSG = "𗬓d(AAC)"
  R6450.FLIST(6).FMSG = "+d(VAC+VDC)"
  R6450.FLIST(7).FMSG = "+d(AAC+ADC)"
  
  R6450.FLIST(0).RINDEX = 0 '"F1"
  R6450.FLIST(1).RINDEX = 2 '"F2"
  R6450.FLIST(2).RINDEX = 3 '"F3"
  R6450.FLIST(3).RINDEX = 4 '"F4"
  R6450.FLIST(4).RINDEX = 1 '"F5"
  R6450.FLIST(5).RINDEX = 1 '"F6"
  R6450.FLIST(6).RINDEX = 2 '"F8"
  R6450.FLIST(7).RINDEX = 1 '"F9"
  
  Call DMM_RANGE_INIT
  
  For n = 0 To 10
    If R6450.FLIST(n).FMSG = "" Then Exit For
    FLIST(n) = R6450.FLIST(n).FMSG
  Next
  fmax = n 't@NV̐iށj
  'ftHg߂
  R6450.FUNC = 0
  fcur = 0
End Function

Private Sub DMM_RANGE_INIT()
  'ucbATcfs@eP
  R6450.RLIST(0).RCODE(0) = "R0"
  R6450.RLIST(0).RCODE(1) = "R3"
  R6450.RLIST(0).RCODE(2) = "R4"
  R6450.RLIST(0).RCODE(3) = "R5"
  R6450.RLIST(0).RCODE(4) = "R6"
  R6450.RLIST(0).RCODE(5) = "R7"
  R6450.RLIST(0).RCODE(6) = "RX"
  R6450.RLIST(0).RMSG(0) = "AUTO"
  R6450.RLIST(0).RMSG(1) = "200mV"
  R6450.RLIST(0).RMSG(2) = "2000mV"
  R6450.RLIST(0).RMSG(3) = "20V"
  R6450.RLIST(0).RMSG(4) = "200V"
  R6450.RLIST(0).RMSG(5) = "1000V"
  R6450.RLIST(0).RMSG(6) = "AUTOŒ"
  'd@eTAeUAeX
  R6450.RLIST(1).RCODE(0) = "R0"
  R6450.RLIST(1).RCODE(1) = "R3"
  R6450.RLIST(1).RCODE(2) = "R4"
  R6450.RLIST(1).RCODE(3) = "R5"
  R6450.RLIST(1).RCODE(4) = "R6"
  R6450.RLIST(1).RCODE(5) = "R7"
  R6450.RLIST(1).RCODE(6) = "R8"
  R6450.RLIST(1).RCODE(7) = "RX"
  R6450.RLIST(1).RMSG(0) = "AUTO"
  R6450.RLIST(1).RMSG(1) = "300uA"
  R6450.RLIST(1).RMSG(2) = "3000uA"
  R6450.RLIST(1).RMSG(3) = "30mA"
  R6450.RLIST(1).RMSG(4) = "300mA"
  R6450.RLIST(1).RMSG(5) = "3000mA"
  R6450.RLIST(1).RMSG(6) = "10A"
  R6450.RLIST(1).RMSG(7) = "AUTOŒ"
  'd@eQAeW
  R6450.RLIST(2).RCODE(0) = "R0"
  R6450.RLIST(2).RCODE(1) = "R3"
  R6450.RLIST(2).RCODE(2) = "R4"
  R6450.RLIST(2).RCODE(3) = "R5"
  R6450.RLIST(2).RCODE(4) = "R6"
  R6450.RLIST(2).RCODE(5) = "R7"
  R6450.RLIST(2).RCODE(6) = "RX"
  R6450.RLIST(2).RMSG(0) = "AUTO"
  R6450.RLIST(2).RMSG(1) = "300mV"
  R6450.RLIST(2).RMSG(2) = "3000mV"
  R6450.RLIST(2).RMSG(3) = "30V"
  R6450.RLIST(2).RMSG(4) = "300V"
  R6450.RLIST(2).RMSG(5) = "750V"
  R6450.RLIST(2).RMSG(6) = "AUTOŒ"
  'R@eR
  R6450.RLIST(3).RCODE(0) = "R0"
  R6450.RLIST(3).RCODE(1) = "R3"
  R6450.RLIST(3).RCODE(2) = "R4"
  R6450.RLIST(3).RCODE(3) = "R5"
  R6450.RLIST(3).RCODE(4) = "R6"
  R6450.RLIST(3).RCODE(5) = "R7"
  R6450.RLIST(3).RCODE(6) = "R8"
  R6450.RLIST(3).RCODE(7) = "RX"
  R6450.RLIST(3).RMSG(0) = "AUTO"
  R6450.RLIST(3).RMSG(1) = "200"
  R6450.RLIST(3).RMSG(2) = "2000"
  R6450.RLIST(3).RMSG(3) = "20k"
  R6450.RLIST(3).RMSG(4) = "200k"
  R6450.RLIST(3).RMSG(5) = "2000k"
  R6450.RLIST(3).RMSG(6) = "20M"
  R6450.RLIST(3).RMSG(7) = "AUTOŒ"
  'R@e4
  R6450.RLIST(4).RCODE(0) = "R0"
  R6450.RLIST(4).RCODE(1) = "R3"
  R6450.RLIST(4).RCODE(2) = "R4"
  R6450.RLIST(4).RCODE(3) = "R5"
  R6450.RLIST(4).RCODE(4) = "R6"
  R6450.RLIST(4).RCODE(5) = "R7"
  R6450.RLIST(4).RCODE(6) = "R8"
  R6450.RLIST(4).RCODE(7) = "RX"
  R6450.RLIST(4).RMSG(0) = "AUTO"
  R6450.RLIST(4).RMSG(1) = "300"
  R6450.RLIST(4).RMSG(2) = "3000"
  R6450.RLIST(4).RMSG(3) = "30k"
  R6450.RLIST(4).RMSG(4) = "300k"
  R6450.RLIST(4).RMSG(5) = "3000k"
  R6450.RLIST(4).RMSG(6) = "30M"
  R6450.RLIST(4).RMSG(7) = "AUTOŒ"
End Sub

